Debian -- Security Information -- DSA-5011-1 salt

Date: unknown

Location: www.debian.org

DSA-5011-1 salt -- security update

Date Reported:
19 Nov 2021
Affected Packages:
salt
Vulnerable:
Yes
Security database references:
In the Debian bugtracking system: Bug 983632, Bug 994016, Bug 987496.
In Mitre's CVE dictionary: CVE-2021-21996, CVE-2021-31607, CVE-2021-25284, CVE-2021-25283, CVE-2021-25282, CVE-2021-25281, CVE-2021-3197, CVE-2021-3148, CVE-2021-3144, CVE-2020-35662, CVE-2020-28972, CVE-2020-28243.
More information:

Multiple security vulnerabilities have been discovered in Salt, a powerful remote execution manager, that allow for local privilege escalation on a minion, server side template injection attacks, insufficient checks for eauth credentials, shell and command injections or incorrect validation of SSL certificates.

For the oldstable distribution (buster), this problem has been fixed in version 2018.3.4+dfsg1-6+deb10u3.

For the stable distribution (bullseye), this problem has been fixed in version 3002.6+dfsg1-4+deb11u1.

We recommend that you upgrade your salt packages.

For the detailed security status of salt please refer to its security tracker page at: https://security-tracker.debian.org/tracker/salt